@import './variables';
@import './typography';

.form-w {
  width: 100%;
  max-width: 1300px;
  display: flex;
  flex-direction: column;
  border-top-right-radius: 8px;
  border-top-left-radius: 8px;
  margin: 0 auto;

  .red {
    color: var(--eui-c-danger);
  }

  &-white {
    background-color: var(--eui-app-body-bg-color);
  }

  &-ms {
    background-color: $baseColor !important;
    padding: 2em !important;

    &-line {
      display: flex;
      align-items: center;

      .eui-input-group {
        align-items: center;
        flex-direction: row;
      }

      .eui-label {
        color: var(--eui-c-info);
      }
    }
  }

  &-heading {
    display: flex;
    justify-content: space-between;
    padding: var(--eui-s-l) 0 var(--eui-s-m);
    border-bottom: 1px solid #e3e3e3;

    &-data {
      display: flex;
      flex-direction: column;
      text-align: right;
    }
  }

  &-line {
    &-comp {
      display: flex;
      flex-wrap: wrap;
      justify-content: space-between;
    }

    .eui-input-group {
      margin-bottom: 0 !important;
      width: auto;

      &:not(:last-child) {
        margin-right: 3em;
      }

      &.form-comp-xl {
        width: 100%;
      }

      &.form-comp-l {
        width: 75%;
      }

      &.form-comp-50 {
        width: 50%;
      }

      &.form-comp-m {
        width: 45%;
      }

      &.form-comp-s {
        width: 25%;
      }

      &.form-comp-xs {
        width: 10%;
      }
    }

    .eui-card {
      width: 100%;
      max-width: 500px;
      .eui-card-content {
        padding: var(--eui-s-m) !important;
      }
    }

    .form-section {
      font-weight: 700 !important;
      border-bottom: 1px solid var(--eui-c-neutral-bg-lightest);
    }
  }

  &-submit {
    display: flex;
    justify-content: center;
    background-color: var(--eui-c-primary);
    border-top-right-radius: 8px;
    border-top-left-radius: 8px;
    padding: var(--eui-s-m);
    position: fixed;
    bottom: 0;
    width: calc(100% - 10rem);

    &-prev-step {
      position: absolute;
      left: var(--eui-s-m);
    }

    &-next-step {
      position: absolute;
      right: var(--eui-s-m);
    }
  }

  .info-text {
    color: var(--eui-c-neutral);
  }

  .button-border-white {
    border-color: var(--eui-c-white) !important;
  }
}

.eui-input-group > label,
.eui-input-group > .eui-label {
  font-weight: 700 !important;
  color: var(--eui-c-neutral);
  margin-bottom: var(--eui-s-xs);
}

.err-border {
  border-color: var(--eui-u-c-danger);
}
